Pipelines
Get a pipeline
Fetch one pipeline and its stages.
GET
/
pipelines
/
{id}
Get a pipeline
curl --request GET \
--url https://backend.leadey.ai/v1/pipelines/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.leadey.ai/v1/pipelines/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.leadey.ai/v1/pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "pl_default",
"name": "Sales pipeline",
"description": "Inbound demo request from the pricing page.",
"isDefault": true,
"createdAt": "2026-07-14T09:12:44.000Z",
"stages": [
{
"id": "stg_negotiation",
"slug": "northwind-logistics",
"label": "Send the revised pricing sheet",
"type": "open",
"defaultProbability": 40,
"sortOrder": 3
}
]
}
}{
"error": {
"message": "Invalid or revoked API key.",
"details": null
}
}{
"error": {
"message": "Lead not found",
"details": null
}
}{
"error": {
"message": "Rate limit exceeded. Retry in 42s.",
"details": null
}
}⌘I
Get a pipeline
curl --request GET \
--url https://backend.leadey.ai/v1/pipelines/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.leadey.ai/v1/pipelines/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.leadey.ai/v1/pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "pl_default",
"name": "Sales pipeline",
"description": "Inbound demo request from the pricing page.",
"isDefault": true,
"createdAt": "2026-07-14T09:12:44.000Z",
"stages": [
{
"id": "stg_negotiation",
"slug": "northwind-logistics",
"label": "Send the revised pricing sheet",
"type": "open",
"defaultProbability": 40,
"sortOrder": 3
}
]
}
}{
"error": {
"message": "Invalid or revoked API key.",
"details": null
}
}{
"error": {
"message": "Lead not found",
"details": null
}
}{
"error": {
"message": "Rate limit exceeded. Retry in 42s.",
"details": null
}
}